vfd_hv518.h File Reference

library to drive vacuum fluorescent display using supertex HV518 shift register VFD drivers (API) More...

Go to the source code of this file.

## Macros

#define | VFD_DRIVERS 3
| number HV518 VFD drivers
#define | VFD_DIGITS 10
| number of digits blocks on SER-6500 VFD
#define | VFD_MATRIX 12
| number of dot matrix blocks on SER-6500 VFD

## Functions

void | vfd_digit (uint8_t nb, char c)
| set character to digit block More...
void | vfd_matrix (uint8_t nb, char c)
| set character to matrix block More...
void | vfd_clear (void)
| clear VFD display
void | vfd_test (void)
| test VFD display (light up all segments)
void | vfd_on (void)
| switch VFD on
void | vfd_off (void)
| switch VFD display off
void | vfd_setup (void)
| setup VFD

## Detailed Description

library to drive vacuum fluorescent display using supertex HV518 shift register VFD drivers (API)

the current configuration is for a VFD extracted from a Samsung SER-6500 cash register

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2016

Note
  peripherals used: USART usart

Definition in file vfd_hv518.h.

## Function Documentation

## vfd_digit()

void vfd_digit | ( | uint8_t | nb,
|  | char | c
| ) |  |

set character to digit block

Parameters

  [in] | nb | digit block to set
  [in] | c | ASCII character to set

Note
  use the MSB of `nb` to enable the dot

Definition at line 305 of file vfd_hv518.c.

## vfd_matrix()

void vfd_matrix | ( | uint8_t | nb,
|  | char | c
| ) |  |

set character to matrix block

Parameters

  [in] | nb | matrix block to set
  [in] | c | ASCII character to set

Note
  on ASCII characters are used for pictures

Definition at line 345 of file vfd_hv518.c.